%define upstream_name    MooseX-OneArgNew
%define upstream_version 0.005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Teach ->new to accept single, non-hashref arguments
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
MooseX::OneArgNew lets your constructor take a single argument, which will
be translated into the value for a one-entry hashref. It is a the
parameterized role|MooseX::Role::Parameterized manpage with two parameters:

* type

  The Moose type that the single argument must be for the one-arg form to
  work. This should be an existing type, and may be either a string type or
  a MooseX::Type.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.5.0-5.mga8
+ Revision: 1495668
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.5.0-4.mga7
+ Revision: 1269613
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.5.0-3.mga6
+ Revision: 1030518
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 968670
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 854348
- update to 0.005

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 741881
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.4.0-4.mga5
+ Revision: 735848
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 685554
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.4.0-2.mga4
+ Revision: 539407
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 0.4.0-1.mga4
+ Revision: 492135
- update to 0.004

* Fri Jun 07 2013 jquelin <jquelin> 0.3.0-1.mga4
+ Revision: 439594
- update to 0.003

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 370223
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 17 2011 jquelin <jquelin> 0.2.0-1.mga2
+ Revision: 109137
- update to 0.002

* Mon Feb 21 2011 jquelin <jquelin> 0.1.0-1.mga1
+ Revision: 55435
- fix spec file
- imported package perl-MooseX-OneArgNew


* Fri Feb 18 2011 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
